# Class CIM_PublicPrivateKeyPair
extends CIM_UsersCredential

This relationship associates a PublicKeyCertificate with the Principal who has the PrivateKey used with the PublicKey. The PrivateKey is not modeled, since it is not a data element that ever SHOULD be accessible via management applications, other than key recovery services, which are outside our scope. Since the UsersAccess class and this association's superclass are deprecated, this association is also deprecated. There is no need to have a special subclass for public-private credentials. This is especially true since the properties of the association describe aspects of the certificate and its handling. The latter is currently out of scope for the model.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UsersCredential
|
+--CIM_PublicPrivateKeyPair

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AuthenticationCondition

Description

string

This relationship associates a PublicKeyCertificate with the Principal who has the PrivateKey used with the PublicKey. The PrivateKey is not modeled, since it is not a data element that ever SHOULD be accessible via management applications, other than key recovery services, which are outside our scope. Since the UsersAccess class and this association's superclass are deprecated, this association is also deprecated. There is no need to have a special subclass for public-private credentials. This is especially true since the properties of the association describe aspects of the certificate and its handling. The latter is currently out of scope for the model.

UMLPackagePath | string | CIM::User::UsersAccess
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BackedUp | boolean |
Deprecated | string | No value
Description | string | Indicates if the certificate can be backed up.
NonRepudiation | boolean |
Deprecated | string | No value
Description | string | Indicates if the certificate canNOT be repudiated.
Repository | string |
Deprecated | string | No value
Description | string | The repository in which the certificate is backed up.
Use | uint16 |
Deprecated | string | No value
Description | string | The Certificate may be used for signature only or for confidentiality as well as signature.
ValueMap | string | 0, 1
Values | string | SignOnly, ConfidentialityOrSignature

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PublicPrivateKeyPair | CIM_PublicKeyCertificate
Dependent | CIM_PublicPrivateKeyPair | CIM_UsersAccess

## Class Methods